import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import matplotlib as mpl
import cmocean
#plt.style.use("mundus")

data_ds = np.genfromtxt("M30_RFsweep-stripe_disk9p4GHz_intensity-map.txt") #ds both stripe and disk excited

#data_ds_norm = data_ds - data_background
#idx_4p46GHz = 48

# normalize to reference peak at frequency
#data_ds /= np.max(data_ds[:,idx_4p46GHz])
#data_s /= np.max(data_s[:,idx_4p46GHz])
#data_d /= np.max(data_d[:,idx_4p46GHz])
#data_background /= np.max(data_background[:,idx_4p46GHz])

#data_ds_norm = data_ds - data_background
#data_s_norm = data_s - data_background
#data_d_norm = data_d - data_background

# calculate what needs to be cut off in the plots to have axes numbers match the actual data:
#print(data_ds_norm.shape)
xmax = 5.52
xmin = 4
ymin = 1.271E+1
ymax = -2.25

dx = (xmax - xmin) / data_ds.shape[1]
dy = (ymax - ymin) / data_ds.shape[0]

# BLS freq shift
freq_shift = 0.078

#generate figure for stripe and disk excited with axes
fig = plt.figure(frameon=False)
ax = plt.Axes(fig,[0,0,1,1])
ax.set_axis_off()

ax.imshow(data_ds, aspect="auto", norm=mpl.colors.LogNorm(vmin=10, vmax=3500),
            cmap=cmocean.cm.ice_r, extent=[xmin - dx/2, xmax + dx/2, ymin - dy/2
              + freq_shift, ymax + dy/2 + freq_shift]
            ) #imshow always 2D data

ax.set(ylim=[3,10], xlim=[4,5.5])
fig.add_axes(ax)
plt.show()
